$(function () {
    $("#addAttr").click(function () {
        $(".ProAttrContent").append("<tr><td><input type=\"text\" name=\"ProAttrName\" class=\"ProAttrValue ui-input-mini\" value=\"\" /></td><td><input type=\"text\" name=\"ProAttrValue\" class=\"ProAttrValue ui-input-small\" value=\"\" /></td><td><input type=\"button\" value=\"删\" class=\"delAttr ui-btn ui-btn-small ui-btn-primary\" /></td></tr>");
    });
    $("#addUserAttr").click(function () {
        $(".userattrContent").append("<tr><td><input type=\"text\" name=\"UserAttrName\" class=\"UserAttrValue ui-input-mini\" value=\"\" /></td><td><input type=\"text\" name=\"UserAttrValue\" class=\"UserAttrValue ui-input-small\" value=\"\" /></td><td><select name=\"UserAttrType\">" + $(".uattrTypeHTML").html() + "</select></td><td><input type=\"button\" value=\"删\" class=\"delAttr ui-btn ui-btn-small ui-btn-primary\" /></td></tr>");
    });
    $(".delAttr").live("click", function () {
        $(this).parent().parent().remove();
    });
    function ValidTemp() {
        var TempName = $("#TempName"),
        allFields = $([])
        .add(TempName)
        ;
        var bValid = true;
        allFields.removeClass("ui-state-error");
        bValid = bValid && checkLength(TempName, "模版名称", 1, 50);
        return bValid;
    };
    $("form").submit(function () {
        if (!ValidTemp()) {
            $(this).find("button[type=submit]").removeClass("loading").removeAttr("disabled");
            return false;
        }
    });
});